var transitionSetElement = "";




function toggleOptions(){
	$(".layersliderlight-item-slider-options").animate({height: "toggle"});
	return false;
}

function initDatePicker(){
    $('.input-group.date').datetimepicker({
        format: 'D.M.YYYY HH:mm',
        sideBySide: true,
        allowInputToggle: true,
        showClear: true,
        showClose: true,
        showTodayButton: true,
        toolbarPlacement: 'bottom'
    });
}

$(document).ready(function(){
    setCopySlideButtons();
    initDatePicker();
    $(document.body).tooltip({ selector: ".panel-footer a" });
    $('select.item-content-type').each(function(){
        toggleLayerContentType(this);
    });
});



function copySlide(e){
    var slideUid = $(e).data('slideuidulement');
    $('a.copyStop').hide();
    $('a.copyStart').show();
    if( parseInt($.cookie('copySlide')) == parseInt(slideUid)){
        $.removeCookie('copySlide', { path: '/' });
        $('*[data-copyslide-uid="'+slideUid+'"]').show();
        $('*[data-stopcopyslide-uid="'+slideUid+'"]').hide();
        setCopySlideButtons();
    } else {
        $.cookie('copySlide', slideUid,  { expires: 1, path: '/' });
        $('*[data-copyslide-uid="'+slideUid+'"]').hide();
        $('*[data-stopcopyslide-uid="'+slideUid+'"]').show();
        setCopySlideButtons();
    }
}

function setCopySlideButtons(){
    var copySlide = $.cookie('copySlide');
    if(copySlide !== undefined){
        $('.pasteSlide').show();
        $('*[data-copyslide-uid="'+copySlide+'"]').hide();
        $('*[data-stopcopyslide-uid="'+copySlide+'"]').show();
    } else {
        $('.pasteSlide').hide();
    }
}
function pasteSlide(e){
    var url = $(e).attr('href');
    url = url+'&tx_layersliderlight_web_layersliderlightm1[slide]='+$.cookie('copySlide');
    console.log(url);
    $.ajax({
        type: "GET",
        url: url,
    }).done(function( data ) {
        if($(e).closest('.layersliderlight-slideitem').length == 0){
            $(e).closest('.sortable').append(data);
        } else {
            $(e).closest('.layersliderlight-slideitem').after(data);
        }
        setCopySlideButtons();
        $('select.item-content-type').each(function(){
            toggleLayerContentType(this);
        });

    });
    return false;
}








function newSlide(e){
	$.ajax({
		type: "GET",
		url: $(e).prop("href"),
	}).done(function( data ) {
		$(".layersliderlight-item-slides-area .sortable").append(data);
        initDatePicker();
		$(data).find("script").each(function(i) {
        	// eval($(this).text());
        });
	});
	
	return false;
}


function storeCollapseCookie(id){
    if($.cookie(id) ){
        $.removeCookie(id);
    } else {
        $.cookie(id, true);
    }
}

function storeTabsCookie(id, tab){
    $.cookie(id, tab);
}

function updatePositionArea(targetStage, sourceSettings){

    connectDragableElementsToArea();

}



function deleteSlide(e){
    $('#delete-slide-'+$(e).data('uid')).modal('hide');

	$.ajax({
		type: "GET",
		url: $(e).prop("href"),
	}).done(function( data ) {
		$(e).closest(".layersliderlight-slideitem").fadeOut(function(){
			$(this).remove();
            if( parseInt($.cookie('copySlide')) == $(e).data('uid')){
                $.removeCookie('copySlide', { path: '/' });
                $('*[data-copyslide-uid="'+$(e).data('uid')+'"]').show();
                $('*[data-stopcopyslide-uid="'+$(e).data('uid')+'"]').hide();
                setCopySlideButtons();
            }

		});
	});
	
	return false;
}


function handleTransitions(e){
    $('#transitionPanel').modal('show')
	transitionSetElement = e;
	var tr2dList = $(e).next().val();
	var tr2dListArray = tr2dList.split(",");
	 
	var tr3dList = $(e).next().next().val();
	var tr3dListArray = tr3dList.split(",");

	$("#ls-transition-gallery .2d a").each(function(){
		$("i", this).hide();
		var eProp = $(this).prop("rel");
		eProp = eProp.replace("tr", ""); 
		if( $.inArray(eProp, tr2dListArray) > -1 ){
			$("i", this).show();
		}
	});

	$("#ls-transition-gallery .3d a").each(function(){
		$("i", this).hide();
		var eProp = $(this).prop("rel");
		eProp = eProp.replace("tr", ""); 
		if( $.inArray(eProp, tr3dListArray) > -1 ){
			$("i", this).show();
		}
	});

}

function setTransition(tElement){
	if( $("i", tElement).is(":visible") ){
		$("i", tElement).hide();
	} else {
		$("i", tElement).show();
	}
	var tr2dString = "";
	var tr3dString = "";
	var thisRel = "";
	var i = 0;
	$("#ls-transition-gallery .2d i:visible").each(function(){
		var thisRel = $(this).parent().prop("rel") ;
		thisRel = thisRel.replace("tr", "");
		tr2dString = tr2dString + thisRel+",";
		i = i+1;
	});
	
	$(transitionSetElement).next().val( tr2dString.slice(0, tr2dString.length-1) );

	$("#ls-transition-gallery .3d i:visible").each(function(){
		var thisRel = $(this).parent().prop("rel") ;
		thisRel = thisRel.replace("tr", "");
		tr3dString = tr3dString + thisRel+",";
		i = i+1;
	});
	
	$(transitionSetElement).next().next().val( tr3dString.slice(0, tr3dString.length-1) );
	
	$("span", transitionSetElement).html( i );

}


$(document).ready(function(){
	//$( document ).tooltip();


});
