<?php
if (!defined('TYPO3_MODE')) {
	die ('Access denied.');
}

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'MINAV.' . $_EXTKEY,
	'Pi1',
	array(
        'Slider' => 'show',
	),
	// non-cacheable actions
	array(
		'Slider' => 'show',
	)
);


\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerTypeConverter('MINAV\\Layersliderlight\\Property\\TypeConverter\\ArrayConverter');

if ( \TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger(TYPO3_version) >= 7000000 ) {

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
		'
		mod.wizards.newContentElement.wizardItems {
			plugins {
				elements {
					layersliderlight_pi1 {
						title = TYPO3 Layersliderlight
						description = Insert the layersliderlight plugin to show a selected slider
						icon = EXT:layersliderlight/ext_icon-7.png
						tt_content_defValues {
							CType = list
							list_type = layersliderlight_pi1
						}
					}
				}
			}
		}

	');
}
else
{
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
		'
		mod.wizards.newContentElement.wizardItems {
			plugins {
				elements {
					layersliderlight_pi1 {
						title = TYPO3 Layersliderlight
						description = Insert the layersliderlight plugin to show a selected slider
						icon = gfx/c_wiz/bullet_list.gif
						tt_content_defValues {
							CType = list
							list_type = layersliderlight_pi1
						}
					}
				}
			}
		}

	');

}

/** Showview Cache */
if (!is_array($TYPO3_CONF_VARS['SYS']['caching']['cacheConfigurations']['tx_layersliderlight_pi1_show_cache'])) {
	$TYPO3_CONF_VARS['SYS']['caching']['cacheConfigurations']['tx_layersliderlight_pi1_show_cache'] = array();
}
?>